Package pygccxml :: Package msvc :: Package bsc :: Module c_wrapper :: Class enums :: Class TYPES

# Class TYPES

source code

    object --+
             |
    utils.enum --+
                 |
                enums.TYPES

Class Methods
Inherited from `utils.enum`: `has_value`, `name_of`

Class Variables
| FUNCTION = `0x01`
| LABEL = `0x02`
| PARAMETER = `0x03`
| VARIABLE = `0x04`
| CONSTANT = `0x05`
| MACRO = `0x06`
| TYPEDEF = `0x07`
| STRUCNAM = `0x08`
| ENUMNAM = `0x09`
| ENUMMEM = `0x0A`
| UNIONNAM = `0x0B`
| SEGMENT = `0x0C`
| GROUP = `0x0D`
| PROGRAM = `0x0E`
| CLASSNAM = `0x0F`
| MEMFUNC = `0x10`
| MEMVAR = `0x11`